Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.editor.client.testing
Class FakeEditorContext<T>

    java.lang.Object
      com.google.gwt.editor.client.testing.FakeEditorContext<T>

Type Parameters:
  `T` - the type of data not being edited

All Implemented Interfaces:
  EditorContext<T>

    public class FakeEditorContext<T>

extends java.lang.Object
implements EditorContext<T>

A no-op implementation of EditorContext for testing.

Field Summary

Fields inherited from interface com.google.gwt.editor.client.EditorContext
`ROOT_PATH`

Constructor Summary
`FakeEditorContext()`

Method Summary
`CompositeEditor<T,?,?>` | `asCompositeEditor()` Returns `null`.
`HasEditorDelegate<T>` | `asHasEditorDelegate()` Returns `null`.
`HasEditorErrors<T>` | `asHasEditorErrors()` Returns `null`.
`LeafValueEditor<T>` | `asLeafValueEditor()` Returns `null`.
`ValueAwareEditor<T>` | `asValueAwareEditor()` Returns `null`.
`boolean` | `canSetInModel()` Returns `false`.
`T` | `checkAssignment(java.lang.Object value)` Returns `value` via an unchecked generic cast.
`java.lang.String` | `getAbsolutePath()` Returns `EditorContext.ROOT_PATH`.
`java.lang.Class<T>` | `getEditedType()` Returns `null`.
`Editor<T>` | `getEditor()` Returns `null`.
`EditorDelegate<T>` | `getEditorDelegate()` Returns `null`.
`T` | `getFromModel()` Returns `null`.
`void` | `setInModel(T data)` A no-op.
`void` | `traverseSyntheticCompositeEditor(EditorVisitor visitor)` No-op.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FakeEditorContext

    public FakeEditorContext()

Method Detail

### asCompositeEditor

    public CompositeEditor<T,?,?> asCompositeEditor()

  Returns `null`.

  Specified by:
    `asCompositeEditor` in interface `EditorContext<T>`

### asHasEditorDelegate

    public HasEditorDelegate<T> asHasEditorDelegate()

  Returns `null`.

  Specified by:
    `asHasEditorDelegate` in interface `EditorContext<T>`

### asHasEditorErrors

    public HasEditorErrors<T> asHasEditorErrors()

  Returns `null`.

  Specified by:
    `asHasEditorErrors` in interface `EditorContext<T>`

### asLeafValueEditor

    public LeafValueEditor<T> asLeafValueEditor()

  Returns `null`.

  Specified by:
    `asLeafValueEditor` in interface `EditorContext<T>`

### asValueAwareEditor

    public ValueAwareEditor<T> asValueAwareEditor()

  Returns `null`.

  Specified by:
    `asValueAwareEditor` in interface `EditorContext<T>`

### canSetInModel

    public boolean canSetInModel()

  Returns `false`.

  Specified by:
    `canSetInModel` in interface `EditorContext<T>`

### checkAssignment

    public T checkAssignment(java.lang.Object value)

  Returns `value` via an unchecked generic cast.

  Specified by:
    `checkAssignment` in interface `EditorContext<T>`
  Parameters:
    `value` - any value, including `null`
  Returns:
    `value` cast to the `T` type

### getAbsolutePath

    public java.lang.String getAbsolutePath()

  Returns `EditorContext.ROOT_PATH`.

  Specified by:
    `getAbsolutePath` in interface `EditorContext<T>`

### getEditedType

    public java.lang.Class<T> getEditedType()

  Returns `null`.

  Specified by:
    `getEditedType` in interface `EditorContext<T>`

### getEditor

    public Editor<T> getEditor()

  Returns `null`.

  Specified by:
    `getEditor` in interface `EditorContext<T>`

### getEditorDelegate

    public EditorDelegate<T> getEditorDelegate()

  Returns `null`.

  Specified by:
    `getEditorDelegate` in interface `EditorContext<T>`

### getFromModel

    public T getFromModel()

  Returns `null`.

  Specified by:
    `getFromModel` in interface `EditorContext<T>`

### setInModel

    public void setInModel(T data)

  A no-op.

  Specified by:
    `setInModel` in interface `EditorContext<T>`

### traverseSyntheticCompositeEditor

    public void traverseSyntheticCompositeEditor(EditorVisitor visitor)

  No-op.

  Specified by:
    `traverseSyntheticCompositeEditor` in interface `EditorContext<T>`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD